com.unitech.lib.types

## Enum ChargingStatus

- java.lang.Object
- - java.lang.Enum<ChargingStatus>
  - - com.unitech.lib.types.ChargingStatus

- All Implemented Interfaces:
    Serializable, Comparable<ChargingStatus>

      public enum ChargingStatus
      extends Enum<ChargingStatus>

  ChargingStatus enum represents the different states of charging in a device. Each state has a unique code and a descriptive message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `charging`
    `chargingError`
    `discharging`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChargingStatus` | `fromValue(int value)`
    `int` | `getCode()`
    `String` | `toString()`
    `static ChargingStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChargingStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### discharging

          public static final ChargingStatus discharging

    - #### charging

          public static final ChargingStatus charging

    - #### chargingError

          public static final ChargingStatus chargingError

  - ### Method Detail

    - #### values

          public static ChargingStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChargingStatus c : ChargingStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChargingStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ChargingStatus>`

    - #### fromValue

          public static ChargingStatus fromValue(int value)
                                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`